/*Start Global */
*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
}
html{
    scroll-behavior: smooth;
}
ul{
    list-style: none;
}
body{
    font-family:'Cairo', sans-serif;;
    
}
/*media screen*/
/* start continer */
.continer{
    padding-left: 15px;
    padding-right: 15px;
    margin-left: auto;
    margin-right: auto;
}
/*small*/
@media (min-width:768px) {
    .continer{
        width: 750px;
    }    
}
/*medium*/
@media (min-width:992px) {
    .continer{
        width: 970px;
    }
}
/*large*/
@media (min-width:1200px) {
    .continer{
        width: 1170px;
    }    
}
/*End Continer */

/* start varibale */
:root{
    --main-color:#ff9802;
}
/* end varibale */
/* start loading  */
.loading-page{
    min-height: 100vh;
    background-image: url(../images/features-03.jpg);
    background-size: cover;
    position: relative;
    transition: 1s;
}
.loading-page .overlay{
    background-color: rgb(0, 0, 0,0.5);
    position: absolute;
    top: 0;
    right: 0;
    width: 100%;
    height: 100%;
    z-index: 1;
}
.headering-fx{
    background-color: rgb(0, 0, 0,0.8);
    position: fixed;
    width: 100%;   
    z-index: 10000;
}
.loading-page .header .continer{
position: relative;
display: flex;
justify-content: space-between;
justify-items: center;
padding: 20px;
color: white;
z-index: 2;
}
.loading-page .header img{
    width: 70px;
    height: 60px;
    color: white;
}
.loading-page .header ul li{
    display: inline-block;
    text-transform: capitalize;
    margin-left: 20px;
    height: 100%;
    margin-top: 20px;
}
.loading-page .header ul li a{
    color: white;
    text-decoration: none;
}
.loading-page .header ul li a:hover,
.loading-page .header ul li a.active{
    color: var(--main-color);
}
.loading-page .intro-text{
    position: absolute;
    z-index: 5;
    color: white;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    text-align: center;
    text-transform: capitalize;
}
.loading-page .intro-text h2 span{
    color: var(--main-color);
    
}
.loading-page .intro-text p{
    margin-top: 10px;
    line-height: 2;
}
@media (max-width:450px){
    .loading-page .header ul li{
        margin-left: 5px;
    }
}
@media (min-width:1200px)
{
    .loading-page .intro-text h2{
        font-size: 50px;
    }
}
@media (max-width:768px)
{
    .loading-page .intro-text h2{
        font-size: 16px;
        width: 100%;
    }
    .loading-page .intro-text p{
        margin-top: 10px;
        line-height: 1.5;
        width: 100%;
    }
}
@media (max-width:630px){
.loading-page .header ul li a{
    font-size: 14px;
    margin-bottom: 5px;
}
.loading-page .header .continer{
    flex-direction: column;
    text-align: center;
}
.loading-page .header img{
margin: 5px auto;

}
}
/* end loading  */
/* start setting-box */
.setting-box{
position: fixed;
min-height: 100vh;
top: 0;
left: -200px;
background-color: white;
width: 200px;
z-index: 10;
transition: 0.3s;
border: 1px solid gainsboro;
padding: 8px;
}
.setting-box.open{
    left: 0;
}
.setting-box .icon-setting{
position: absolute;
right: -38px;
top: 120px;
background-color: white;
cursor: pointer;
text-align: center;
border: 1px solid;
border-color: gainsboro gainsboro gainsboro transparent;
border-radius: 0px 4px 4px 0px;
}
.setting-box .icon-setting i{
    padding: 10px;
}
.setting-box h4{
padding: 15px 5px 5px;
text-transform: capitalize;
text-align: center;
background-color: #eee;
}
.setting-box ul{
text-align: center;
margin-top: 0;
background-color: #eee;
padding-bottom: 10px;
border-bottom: 1px solid gainsboro;
}
.setting-box li{
width: 28px;
height: 28px;
border-radius: 50%;
display: inline-block;
margin-top: 10px;
opacity: 0.5;
border: 3px solid #eee;
}
.setting-box .active{
    opacity: 1;
    border: 3px solid white;
}
.setting-box li:first-child{
    background-color: #ff9802;
}
.setting-box li:nth-child(2){
    background-color: mediumorchid;
}
.setting-box li:nth-child(3){
    background-color: chocolate;
}
.setting-box li:nth-child(4){
    background-color: crimson;
}
.setting-box li:nth-child(5){
    background-color: darkviolet;
}
.setting-box .random-background{
    border-bottom: 1px solid gainsboro;
}
.setting-box .random-background .active-span{
    text-align: center;
    padding: 10px;
    background-color: #eee;
}
.setting-box .random-background .active-span span:first-child,
.setting-box .random-background .active-span span:nth-child(2){
    padding: 5px 20px;
    background-color: var(--main-color);
    display: inline-block;
    font-size: 14px;
    font-weight: bold;
    text-transform: capitalize;
    border-radius: 5px;
    color: wheat;
    opacity: 0.5;
    cursor: pointer;
}
.setting-box .random-background .active-span span:first-child.active-span{
    opacity: 1;
}
.active-span{
   opacity: 1 !important;
}
.setting-box .reset-option{
    background-color: rgb(204, 9, 9);
    border: none;
    display: block;
    width: 100%;
    text-transform: capitalize;
    color: white;
    padding: 9px;
    cursor: pointer;
    border-radius: 5px;
    margin-top: 13px;
    font-weight: bold;
}
/* end setting-box */

/* start about-us  */
.about-us{
padding-top: 50px;
padding-bottom: 50px;
}
.about-us .continer{
    display: flex;
    gap: 20px;
}
.about-us .continer .info-aboutus{
    flex: 1;
}
.about-us .continer .info-aboutus h2{
    color: var(--main-color);
    text-transform: capitalize;
    font-size: 30px;
    margin-bottom: 10px;
}
.about-us .continer .info-aboutus p{
color:rgb(153, 153, 153);
line-height: 2;
}
.about-us .continer .img-aboutus{
flex: 1;
}
.about-us .continer .img-aboutus img{
    max-width: 100%;
}
@media (max-width:992px){
    .about-us .continer{
        flex-direction: column;
    }
    .about-us .continer .info-aboutus{
        text-align: center;
        padding-right: 20px;
        padding-left: 20px;
        margin-bottom: 20px;
    }
    .about-us .continer .img-aboutus{
        padding-right: 20px;
        padding-left: 20px;
    }
}
/* end about-us  */

/* start skills */
.skills{
    padding-top: 50px;
    padding-bottom: 50px;
    background-color: #eee;
}
.skills .continer h2{
    color: var(--main-color);
    text-transform: capitalize;
    font-size: 30px;
    margin-bottom: 50px;
    text-align: center;
    
}
.skills .continer .progress-skills{
    background-color: white;
    padding: 12px ;
    display: flex;
    gap: 20px;
    margin-bottom: 10px;
    border: 0.5px solid rgb(233, 231, 231);
    border-radius: 2px;
}

.skills .continer .progress-skills h3{
    text-align: center;
    text-transform: capitalize;
    width: 10%;
    line-height: 1.5;
}
.skills .continer .progress-skills .prog-val{
background-color: ghostwhite;
width:calc(90% - 20px);
height: 30px;
border-radius: 5px;
overflow: hidden;
position: relative;
}
.skills .continer .progress-skills .prog-val span{
position: absolute;
top: 0;
left: 0;
width: 0;
height: 100%;
background-color: var(--main-color);
transition: 0.5s;
}
@media (max-width:768px){
    .skills .continer .progress-skills{
        display: block;
    }
    .skills .continer .progress-skills h3{
        width:100%;
        margin-bottom: 5px;

    }
    .skills .continer .progress-skills .prog-val{
        width:100% ;
    }
}
/* end skills */

/* start gallery */
.gallery{
    padding-top: 50px;
    padding-bottom: 50px;
}
.gallery .continer h2{
    color: var(--main-color);
    text-transform: capitalize;
    font-size: 30px;
    margin-bottom: 50px;
    text-align: center;
}
.gallery .continer .image-box{
    text-align: center;
}
.gallery .continer .image-box img{
    width: 250px;
    margin: 5px;
    border: 2px solid white;
    border-radius: 5px;
    box-shadow: 2px 2px 5px gray;
    cursor: pointer;
}
.overflay-gallery{
    position: fixed;
    top: 0;
    right: 0;
    width: 100%;
    height: 100%;
    background-color: rgb(0, 0, 0,0.6);
    z-index: 2000;
    cursor: pointer;
}
.popup-box{
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    width: 40%;
    height: 50%;
    background-color: white;
    z-index: 2001;
    text-align: center;
    border-radius: 5px;
    padding: 20px;
}
@media (max-width:992px){
    .popup-box{
        width: 50%;
    }
}
@media (max-width:768px){
    .popup-box{
        width: 60%;
    }
}
@media (max-width:630px){
    .popup-box{
        width: 70%;
        height: 50%;
    }
}
@media (max-width:390px){
    .popup-box{
        width: 80%;
        height: 40%;
    }
}
.popup-h4{
    text-align: center;
    color: var(--main-color);
    padding: 20px;
    text-transform: capitalize;
}
.imagePopup{
    width: 100%;
    height:calc(100% - 58.5px) ;
   border-radius: 5px;
}
.botton-close{
    position: absolute;
    top: -15px;
    right: -15px;
    width: 50px;
    height: 50px;
    border-radius: 50%;
    background-color: var(--main-color);
    color: white;
    border: none;
    font-weight:900;
    font-size: 25px;
    border: 5px solid white;
    cursor: pointer;
}
/* end gallery  */
/* start timeline */
.timeline{
    padding-top: 50px;
    padding-bottom: 50px;
    background-color: #eee;
}
.timeline .timeline-content{
    position: relative;
    overflow: hidden;
}
.timeline .timeline-content::before{
    content: "";
    position: absolute;
    width: 2px;
    height: 100%;
    background-color: var(--main-color);
    top: 0;
    left: 50%;
    margin-left: -1px;
}
.timeline .timeline-content .year{
    margin: 20px auto;
    text-align: center;
    background-color: var(--main-color);
    max-width: fit-content;
    padding: 2px 10px;
    border-radius: 5px;
    font-weight: bold;
    color: white;
}
.timeline .timeline-content .left,
.timeline .timeline-content .right{
    width: calc(50% - 60px);
    background-color: white;
    margin: 20px;
    padding: 20px;
    position: relative;
}

.timeline .timeline-content .left::before,
.timeline .timeline-content .right::before{
    content: "";
    width: 14px;
    height: 14px;
    border-radius: 50%;
    border: 3px solid var(--main-color);
    top: 20px;
    position: absolute;
  
    background-color: white;
}
.timeline .timeline-content .left::before{
right: -50px;
}
.timeline .timeline-content .right::before{
left: -50px;
}
.timeline .timeline-content .left{
float:left;
}
.timeline .timeline-content .right{
float: right;
}
.timeline .timeline-content .left::after,
.timeline .timeline-content .right::after{
    content: "";
    position: absolute;
    width: 0;
    height: 0;
    top: 20px;
    border: 10px solid;
}
.timeline .timeline-content .left::after{
    right: -20px;
    border-color: transparent transparent transparent white;
}
.timeline .timeline-content .right::after{
   left: -20px;
   border-color: transparent white transparent transparent;
}

.timeline .timeline-content .content h3{
text-transform: capitalize;
color: var(--main-color);
margin-bottom: 4px;
}
.timeline .timeline-content .content p{
color: rgb(153, 153, 153);;
}
.clearfix{
    clear: both;
}
@media (max-width:992px){
    .timeline .timeline-content .left,
    .timeline .timeline-content .right{
        width: calc(100% - 60px);
        float:none;
        margin-bottom: 40px;
        margin-top: 30px;
    }
    .timeline .timeline-content .left::after,
    .timeline .timeline-content .right::after,
    .timeline .timeline-content .left::before,
    .timeline .timeline-content .right::before{
        display: none;
}
    }
/* end timeline */
/* start features */
.features{
    padding-top: 50px;
    padding-bottom: 50px;
}
.features h2{
  color: var(--main-color);
    text-transform: capitalize;
    font-size: 30px;
    margin-bottom: 50px;
    text-align: center;

}
.features .content{
   display: flex;
   flex-wrap: wrap;
   justify-content: center;
   gap: 20px;
}
.features .content .feature-box{
    text-align: center;
    flex-basis:calc(33% - 20px);
    background-color: white;
    border: 1px solid  rgb(245, 242, 242);
    padding: 15px;
    border-radius: 15%;
}
.features .content .feature-box img{
    width: 100px;
    border-radius: 50%;
    margin-bottom: 10px;
    border: 3px solid rgb(153, 153, 153);
    } 
.features .content .feature-box h3{
    text-transform: capitalize;
    margin-bottom: 20px;
    position: relative;
}
.features .content .feature-box h3::before{
content: '';
position: absolute;
width: 50px;
height: 3px;
background-color: var(--main-color);
top: 31px;
left: 50%;
margin-left: -25px;
}
.features .content .feature-box p{
    color: rgb(153, 153, 153);
    line-height: 1.5;
    
}
@media (max-width:768px){
    .features .content .feature-box{
        flex-basis:calc(50% - 20px);
    }
}
@media (max-width:620px){
    .features .content .feature-box{
        flex-basis:calc(100% - 20px);
    }
}
/* end features */
/* start testmonials  */
.testmonials{
    padding-top: 50px;
    padding-bottom: 50px;
    position: relative;
}
.testmonials::before{
content: "";
position: absolute;
width: 50%;
height: 100%;
top: 0;
right: 0;
background-color: rgb(22, 21, 21);
z-index: -1;
}
.testmonials::after{
    content: "";
position: absolute;
width: 50%;
height: 100%;
top: 0;
left: 0;
background-color: var(--main-color);
z-index: -1;
}
.testmonials h2 {
    color: white;
    text-transform: capitalize;
    font-size: 30px;
    margin-bottom: 25px;
    padding-left: 20px;
}
.testmonials .content-test{
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
    justify-content: center;
}
.testmonials .content-test .tesmonials-box{
    flex-basis:calc(33% - 20px);
    background-color: white;
    padding: 20px;
    border-radius: 5px;
}
.testmonials .content-test .tesmonials-box p:first-child{
    font-style: italic;
    color: rgb(153, 153, 153);
    margin-bottom: 10px;
}
.testmonials .content-test .tesmonials-box .info{
    display: flex;
    gap: 10px;
}
.testmonials .content-test .tesmonials-box .info img{
    width: 70px;
    border-radius: 50%;
    border: 2px solid var(--main-color);
}
.testmonials .content-test .tesmonials-box .info .content{
   display: flex;
    padding: 5PX;
    flex-direction: column;
    justify-content: center;
}
.testmonials .content-test .tesmonials-box .info .content h4{
    text-transform: uppercase;
    margin-bottom: 2px;
}
.testmonials .content-test .tesmonials-box .info .content P{
    text-transform:uppercase;
    color: rgb(153, 153, 153);
    font-size: 14px;
} 
@media (max-width:992px){
    .testmonials .content-test .tesmonials-box{
        flex-basis:calc(50% - 20px);
    }
}
@media (max-width:768px){
    .testmonials .content-test .tesmonials-box{
        flex-basis:calc(100% - 20px);
    }
}
/* end testmonials */
/* start nav-bullets */
.nav-bullets{
position: fixed;
top: 50%;
right: 10px;
transform: translateY(-50%);
z-index: 3000;
}
.nav-bullets .bullets{
margin: 10px;
width: 15px;
height: 15px;
border-radius: 50%;
border:2px solid var(--main-color);
position: relative;
cursor: pointer;
}
.nav-bullets .bullets div{
    position: absolute;
    left: -130px;
    top: -4px;
    background-color: var(--main-color);
    width: 111px;
    color: white;
    text-align: center;
    padding: 3px;
    font-weight: bold;
    text-transform: capitalize;
    cursor: default;
    display: none;
}
.nav-bullets .bullets div::before{
    position: absolute;
    content: "";
    top: 50%;
    transform: translateY(-50%);
    right: -14px;
    border: 7px solid;
    border-color: transparent transparent transparent var(--main-color);
}
.nav-bullets .bullets:hover div{
    display: block;
}
/* end nav-bullets */
/* start contact */
.contact{
    padding-top: 50px;
    padding-bottom: 50px;
    /* background-image:url("../images/kisspng.png");
    background-repeat: no-repeat;
    background-size: 40%;
    background-position: left;   */
    position: relative; 
    
}
.contact .continer h2{
    color: var(--main-color);
    text-transform: capitalize;
    font-size: 30px;
    margin-bottom: 50px;
    text-align: center;
}
.contact .continer form{
    display: flex;
    gap: 20px;
}
.contact .continer form div:first-child{
    width: 50%;
    text-align: right;
}
.contact .continer form div:nth-child(2){
    width: 50%;
    text-align: left;
}
.contact .continer form div input,
.contact .continer form div textarea{
    width: 70%;   
    height: 40px;
    margin-bottom: 10px; 
    text-transform: capitalize;
    padding: 10px;
    border: 1px solid #ccc;
    border-radius: 5px;
    background-color: rgb(218, 218, 218, 0.3);
}
.contact .continer form div textarea{
   height: 140px;
   margin-bottom: 7px;
}
.contact .continer form div input:focus,
.contact .continer form div textarea:focus{
    outline: 1.5px solid var(--main-color);
    border-radius: 5px;
    border: none;
}
.contact .continer form div input[type="submit"]{
    background-color: var(--main-color);
    font-weight: bold;
    color: white;
    cursor: pointer;
    transition: 0.3s;
}
.contact .continer form div input[type="submit"]:hover{
    color: var(--main-color);
    background-color: white;
    border: 0.5px solid var(--main-color);
}
.contact .continer form div input:focus::placeholder,
.contact .continer form div textarea:focus::placeholder{
    opacity: 0;
    transition: 0.3s;
}
@media (max-width:768px){       
.contact .continer form div{
    width: 70% !important;   
    margin: 0 auto;
}
.contact .continer form{
    display: block;
    width: 100%;
    margin: 0 auto;
}
.contact .continer form div input,
.contact .continer form div textarea{
    width: 100%;
}
}
/* end contact  */
.footer{
    background-color: rgb(22, 21, 21);
    color: rgb(224, 220, 220);
    font-weight: bold;
    text-transform: capitalize;
    padding: 30px;
    text-align: center;
}